Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043197
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2020-02-12 11:582020-02-21 08:09
ReporterkchoperenaView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision13f7aa1af92b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043197: OBServletContextMock is not initializing the DefaultDesignPath parameter

DescriptionIt is impossible to get the default design path in an automated test using the OBServletContextMock because of the parameter DefaultDesignPath is not initialized.
Steps To ReproduceRun the attached automated test.
Proposed SolutionAdded the DefaultDesignPath parameter initialization in OBServletContextMock class. See the attached diff
TagsNo tags attached.
Attached Filesdiff file icon OBServletContextMock.diff [^] (687 bytes) 2020-02-12 11:58 [Show Content]
diff file icon TestWeldDefaultDesignPath.diff [^] (2,092 bytes) 2020-02-12 12:25 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0117710)
caristu (developer)
2020-02-12 19:37

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/44 [^]
(0117793)
hgbot (developer)
2020-02-14 11:00

Repository: erp/devel/pi
Changeset: 13f7aa1af92bc01d02095a2dc36d41245c44e470
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Feb 12 19:30:02 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/13f7aa1af92bc01d02095a2dc36d41245c44e470 [^]

fixes BUG-43197: set DefaultDesignPath parameter in OBServletContextMock

  Set the DefaultDesignPath in the OBServletContextMock so that some
methods that retrieves it can be used in the testing infrastructure. For
example: ReportingUtils.getBaseDesign()

---
M src-test/src/org/openbravo/test/base/mock/OBServletContextMock.java
---
(0117994)
alostale (developer)
2020-02-21 08:09

reviewed

- Issue History
Date Modified Username Field Change
2020-02-12 11:58 kchoperena New Issue
2020-02-12 11:58 kchoperena Assigned To => platform
2020-02-12 11:58 kchoperena File Added: OBServletContextMock.diff
2020-02-12 11:58 kchoperena Modules => Core
2020-02-12 11:58 kchoperena Triggers an Emergency Pack => No
2020-02-12 12:25 kchoperena File Added: TestWeldDefaultDesignPath.diff
2020-02-12 16:01 caristu Assigned To platform => caristu
2020-02-12 19:37 caristu Note Added: 0117710
2020-02-14 11:00 hgbot Checkin
2020-02-14 11:00 hgbot Note Added: 0117793
2020-02-14 11:00 hgbot Status new => resolved
2020-02-14 11:00 hgbot Resolution open => fixed
2020-02-14 11:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/13f7aa1af92bc01d02095a2dc36d41245c44e470 [^]
2020-02-21 08:09 alostale Review Assigned To => alostale
2020-02-21 08:09 alostale Note Added: 0117994
2020-02-21 08:09 alostale Status resolved => closed
2020-02-21 08:09 alostale Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker